#version 430 core

// Inputs
layout (location = 0) in vec2 a_Pos;

// Outputs
out vec2 texCoord;

// Uniforms
uniform vec2 u_Position;
uniform vec2 u_Scale; 

void main()
{	
	gl_Position.xy = (a_Pos * u_Scale) + u_Position;
	gl_Position.zw = vec2(0.0, 1.0);
	texCoord = a_Pos + 0.5;
}
