#version 430 core

// Inputs
in vec2 texCoords;
in float f_ttl;

// Outputs
out vec4 fragColor;

void main()
{
	float dist = length(texCoords - 0.5);
	if (dist > 0.5) {
		discard;
    }
	float factor = min(f_ttl, 2.0);
	float alpha = smoothstep(0.4, 0.0, dist) * factor;

	fragColor = vec4(1., 0.2, 0.1, 0.4) * alpha;
}