#version 430 core

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aNorm;
layout (location = 2) in vec2 aTexCoord;

out vec3 viewDir;

uniform mat4 viewProjectionMat;

void main () 
{
	viewDir = aPos;
	vec4 pos = viewProjectionMat * vec4(aPos, 1.0);
	gl_Position = pos.xyww;
}