#version 430 core

// Inputs
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aColor;

// Outputs
out vec3 fColor;

// Uniforms
layout (location = 0) uniform mat4 MVP;

void main() 
{	
	gl_Position = MVP * vec4(aPos, 1.0);
	fColor = aColor;
}
