#version 430 core

// Vertex Attributes
layout (location = 0) in vec4 aPos;

// Output
out float ttl;

// Uniforms
uniform mat4 viewMatrix;

// Logic
void main()
{
	gl_Position = viewMatrix * vec4(aPos.xyz, 1.0);
	ttl = aPos.w;
}
