#version 430 core

// Inputs
in vec2 fTexCoords;

// Outputs
out vec4 result;

// Uniforms
layout (location = 1) uniform sampler2D fontAtlas;
layout (location = 2) uniform vec3 color;

void main() 
{	
	float value = texture(fontAtlas, fTexCoords).r;
	if (value < 0.1) {
		discard;
	}
	result = vec4(color, value);
}