#version 430 core

// Inputs
layout (location = 0) in vec2 aPos;
layout (location = 1) in vec2 aTexCoords;

// Outputs
out vec2 fTexCoords;

// Uniforms
layout (location = 0) uniform mat4 MVP;

void main() 
{	
	gl_Position = MVP * vec4(aPos, 0.0, 1.0);
	fTexCoords = aTexCoords;
}
